/* $VER: ALIAS_ZP.rexx 0.3 (16.1.1994)

   Usage: rx ALIAS_ZP.rexx <Ausgabedatei>

   Beispielscript um eine Z-Netz-Adresse in Adressmaster zu finden
   und an die Aliasliste von Zodiac's Point anzuhaengen.
   Der E-Mailadresse muss immer ein 'Z:' vorangestellt sein.

   Z.B.: Z:Hallo@da.zer.sub.org

   Written by Hans Joachim Schiefer. */



OPTIONS RESULTS                            /* Rckgabewerte zulassen */

                                           /* Wurde ein Argument angegeben? */

IF arg() ~=1 THEN outfile="*"
             else PARSE ARG outfile;

IF ~Open(datei,outfile,"A") THEN DO        /* Ausgabedatei ffnen und */
   SAY "Kann Ausgabedatei nicht ffnen!"   /* gefundene Adresse anhaengen */
   EXIT
END


SAY 'Bitte Nachnamen eingeben'

PULL WORT

fst   = 1                          /* Anfangsposition = 1 (= erste Adresse) */
found = 0

ADM.LASTNAME = WORT

DO FOREVER                         /* Endlosschleife */

   ADDRESS 'ADM.1'

   SEARCH fst ADM                  /* Eintrag suchen */

   found = RESULT

   IF found >-1 THEN DO        /* Rckgabewert = Nummer der gefunden Adresse */

      GETADDRESS ADM       /* Adresse holen in Stemvar ADM   */


      e1 = upper(ADM.EMAIL1)

      e2 = upper(ADM.EMAIL2)

         if (pos('Z',e1)) THEN DO  /* Wurde 'Z' in ADM.EMAIL1 gefunden dann */

            ok = WriteLn(datei," ")
            ok = WriteLn(datei,"N:" || ADM.FIRSTNAME || " " ||ADM.LASTNAME)
            ok = WriteLn(datei,"A:" || right(ADM.EMAIL1,length(e1)-2))
            ok = WriteLn(datei,"B:" || "Hallo " || ADM.FIRSTNAME)
            ok = WriteLn(datei,"-")

         END /* DO */

         if (pos('Z',e2)) THEN DO /* Wurde 'Z' in ADM.EMAIL2 gefunden dann */

            ok = WriteLn(datei," ")
            ok = WriteLn(datei,"N:" || ADM.FIRSTNAME || " " ||ADM.LASTNAME)
            ok = WriteLn(datei,"A:" || right(ADM.EMAIL2,length(e2)-2))
            ok = WriteLn(datei,"B:" || "Hallo " || ADM.FIRSTNAME)
            ok = WriteLn(datei,"-")

         END /* DO */

      fst = found + 1

      END /* DO */

   ok = Close(datei)

      EXIT 0

   END /* IF */

END /* DO */
